OneOS Docs
Genesis 0.1.13 Console

API reference

Taps

Human-in-the-loop requests: taps, their events and responses, routing rules, escalation policies and agent lineage.

Operations
22
Base path
https://os.one.ml/api/v1/taps
Scopes
taps:read taps:write
API keys
3 untested · 19 tested with an API key
SDK
Not in the SDK
CLI
Not in the CLI
MCP
Not in the MCP server

Operations

OperationEndpointAPI key
Create an agent lineage challenge (human only)POST/agent-lineage/challenges—
List agent lineage requestsGET/agent-lineage/requestsTested with an API key
Submit a signed agent lineage request (human only)POST/agent-lineage/requests—
Get an agent lineage requestGET/agent-lineage/requests/{id}Tested with an API key
List escalation policiesGET/escalation-policiesTested with an API key
Create an escalation policyPOST/escalation-policiesTested with an API key
Delete an escalation policyDELETE/escalation-policies/{id}Tested with an API key
Rename, enable or disable an escalation policyPATCH/escalation-policies/{id}Tested with an API key
Get the Garden integration statusGET/integrations/gardenTested with an API key
Enable the Garden integrationPOST/integrations/garden/enableTested with an API key
List routing rulesGET/routing-rulesTested with an API key
Create a routing rulePOST/routing-rulesTested with an API key
Delete a routing ruleDELETE/routing-rules/{id}Tested with an API key
Enable or disable a routing rulePATCH/routing-rules/{id}Tested with an API key
Get your tenant's Taps settingsGET/settingsTested with an API key
Change Taps settingsPATCH/settingsTested with an API key
List tapsGET/tapsTested with an API key
Ask a human for a decision (create a tap)POST/tapsTested with an API key
Get a tapGET/taps/{id}Tested with an API key
Cancel a tapDELETE/taps/{id}Tested with an API key
List a tap's audit eventsGET/taps/{id}/eventsTested with an API key
Respond to a tap (human only)POST/taps/{id}/respond—

Agent lineage

Create an agent lineage challenge (human only)

POST/v1/taps/agent-lineage/challenges

taps:writeAPI only in 0.1.13taps_createAgentLineageChallenge

Request body application/json

A JSON object. Its fields are not in the published OpenAPI document.

Responses

curl -X POST "https://os.one.ml/api/v1/taps/agent-lineage/challenges" \
  -H "Authorization: Bearer $GENESIS_API_KEY" \
  -H "Content-Type: application/json" \
  -d @body.json

List agent lineage requests

GET/v1/taps/agent-lineage/requests

taps:readTested with an API keyAPI only in 0.1.13taps_listAgentLineageRequests

Parameters

  • statusquery · string
  • limitquery · string
  • offsetquery · string

Responses

curl "https://os.one.ml/api/v1/taps/agent-lineage/requests" \
  -H "Authorization: Bearer $GENESIS_API_KEY"

Submit a signed agent lineage request (human only)

POST/v1/taps/agent-lineage/requests

taps:writeAPI only in 0.1.13taps_createAgentLineageRequest

Request body application/json

A JSON object. Its fields are not in the published OpenAPI document.

Responses

curl -X POST "https://os.one.ml/api/v1/taps/agent-lineage/requests" \
  -H "Authorization: Bearer $GENESIS_API_KEY" \
  -H "Content-Type: application/json" \
  -d @body.json

Get an agent lineage request

GET/v1/taps/agent-lineage/requests/{id}

taps:readTested with an API keyAPI only in 0.1.13taps_getAgentLineageRequest

Parameters

  • idpath · stringrequired

Responses

curl "https://os.one.ml/api/v1/taps/agent-lineage/requests/$ID" \
  -H "Authorization: Bearer $GENESIS_API_KEY"

Escalation policies

List escalation policies

GET/v1/taps/escalation-policies

taps:readTested with an API keyAPI only in 0.1.13taps_listEscalationPolicies

Responses

curl "https://os.one.ml/api/v1/taps/escalation-policies" \
  -H "Authorization: Bearer $GENESIS_API_KEY"

Create an escalation policy

POST/v1/taps/escalation-policies

taps:writeTested with an API keyAPI only in 0.1.13taps_createEscalationPolicy

Request body application/json

A JSON object. Its fields are not in the published OpenAPI document.

Responses

curl -X POST "https://os.one.ml/api/v1/taps/escalation-policies" \
  -H "Authorization: Bearer $GENESIS_API_KEY" \
  -H "Content-Type: application/json" \
  -d @body.json

Delete an escalation policy

DELETE/v1/taps/escalation-policies/{id}

taps:writeTested with an API keyAPI only in 0.1.13taps_deleteEscalationPolicy

Parameters

  • idpath · stringrequired

Responses

curl -X DELETE "https://os.one.ml/api/v1/taps/escalation-policies/$ID" \
  -H "Authorization: Bearer $GENESIS_API_KEY"

Rename, enable or disable an escalation policy

PATCH/v1/taps/escalation-policies/{id}

taps:writeTested with an API keyAPI only in 0.1.13taps_updateEscalationPolicy

Parameters

  • idpath · stringrequired

Request body application/json

A JSON object. Its fields are not in the published OpenAPI document.

Responses

curl -X PATCH "https://os.one.ml/api/v1/taps/escalation-policies/$ID" \
  -H "Authorization: Bearer $GENESIS_API_KEY" \
  -H "Content-Type: application/json" \
  -d @body.json

Integrations

Get the Garden integration status

GET/v1/taps/integrations/garden

taps:readTested with an API keyAPI only in 0.1.13taps_getGardenIntegration

Responses

curl "https://os.one.ml/api/v1/taps/integrations/garden" \
  -H "Authorization: Bearer $GENESIS_API_KEY"

Enable the Garden integration

POST/v1/taps/integrations/garden/enable

taps:writeTested with an API keyAPI only in 0.1.13taps_enableGardenIntegration

Request body application/json

A JSON object. Its fields are not in the published OpenAPI document.

Responses

curl -X POST "https://os.one.ml/api/v1/taps/integrations/garden/enable" \
  -H "Authorization: Bearer $GENESIS_API_KEY" \
  -H "Content-Type: application/json" \
  -d @body.json

Routing rules

List routing rules

GET/v1/taps/routing-rules

taps:readTested with an API keyAPI only in 0.1.13taps_listRoutingRules

Responses

curl "https://os.one.ml/api/v1/taps/routing-rules" \
  -H "Authorization: Bearer $GENESIS_API_KEY"

Create a routing rule

POST/v1/taps/routing-rules

taps:writeTested with an API keyAPI only in 0.1.13taps_createRoutingRule

Request body application/json

A JSON object. Its fields are not in the published OpenAPI document.

Responses

curl -X POST "https://os.one.ml/api/v1/taps/routing-rules" \
  -H "Authorization: Bearer $GENESIS_API_KEY" \
  -H "Content-Type: application/json" \
  -d @body.json

Delete a routing rule

DELETE/v1/taps/routing-rules/{id}

taps:writeTested with an API keyAPI only in 0.1.13taps_deleteRoutingRule

Parameters

  • idpath · stringrequired

Responses

curl -X DELETE "https://os.one.ml/api/v1/taps/routing-rules/$ID" \
  -H "Authorization: Bearer $GENESIS_API_KEY"

Enable or disable a routing rule

PATCH/v1/taps/routing-rules/{id}

taps:writeTested with an API keyAPI only in 0.1.13taps_updateRoutingRule

Parameters

  • idpath · stringrequired

Request body application/json

A JSON object. Its fields are not in the published OpenAPI document.

Responses

curl -X PATCH "https://os.one.ml/api/v1/taps/routing-rules/$ID" \
  -H "Authorization: Bearer $GENESIS_API_KEY" \
  -H "Content-Type: application/json" \
  -d @body.json

Settings

Get your tenant's Taps settings

GET/v1/taps/settings

taps:readTested with an API keyAPI only in 0.1.13taps_getSettings

Responses

curl "https://os.one.ml/api/v1/taps/settings" \
  -H "Authorization: Bearer $GENESIS_API_KEY"

Change Taps settings

PATCH/v1/taps/settings

taps:writeTested with an API keyAPI only in 0.1.13taps_updateSettings

Request body application/json

A JSON object. Its fields are not in the published OpenAPI document.

Responses

curl -X PATCH "https://os.one.ml/api/v1/taps/settings" \
  -H "Authorization: Bearer $GENESIS_API_KEY" \
  -H "Content-Type: application/json" \
  -d @body.json

Taps

List taps

GET/v1/taps/taps

taps:readTested with an API keyAPI only in 0.1.13taps_listTaps

Parameters

  • statusquery · string
  • assignee_idquery · string
  • limitquery · string
  • offsetquery · string

Responses

curl "https://os.one.ml/api/v1/taps/taps" \
  -H "Authorization: Bearer $GENESIS_API_KEY"

Ask a human for a decision (create a tap)

POST/v1/taps/taps

taps:writeTested with an API keyAPI only in 0.1.13taps_createTap

Request body application/json

A JSON object. Its fields are not in the published OpenAPI document.

Responses

curl -X POST "https://os.one.ml/api/v1/taps/taps" \
  -H "Authorization: Bearer $GENESIS_API_KEY" \
  -H "Content-Type: application/json" \
  -d @body.json

Get a tap

GET/v1/taps/taps/{id}

taps:readTested with an API keyAPI only in 0.1.13taps_getTap

Parameters

  • idpath · stringrequired

Responses

curl "https://os.one.ml/api/v1/taps/taps/$ID" \
  -H "Authorization: Bearer $GENESIS_API_KEY"

Cancel a tap

DELETE/v1/taps/taps/{id}

taps:writeTested with an API keyAPI only in 0.1.13taps_cancelTap

Parameters

  • idpath · stringrequired

Responses

curl -X DELETE "https://os.one.ml/api/v1/taps/taps/$ID" \
  -H "Authorization: Bearer $GENESIS_API_KEY"

Events

List a tap's audit events

GET/v1/taps/taps/{id}/events

taps:readTested with an API keyAPI only in 0.1.13taps_listTapEvents

Parameters

  • idpath · stringrequired

Responses

curl "https://os.one.ml/api/v1/taps/taps/$ID/events" \
  -H "Authorization: Bearer $GENESIS_API_KEY"

Respond

Respond to a tap (human only)

POST/v1/taps/taps/{id}/respond

taps:writeAPI only in 0.1.13taps_respondToTap

Parameters

  • idpath · stringrequired

Request body application/json

A JSON object. Its fields are not in the published OpenAPI document.

Responses

curl -X POST "https://os.one.ml/api/v1/taps/taps/$ID/respond" \
  -H "Authorization: Bearer $GENESIS_API_KEY" \
  -H "Content-Type: application/json" \
  -d @body.json

One Superintelligence, Inc. · Built from Genesis 0.1.13 and the live gateway on 2026-10-20. Support